de.tsenger.androsmex.mrtd

## Class DG13

- java.lang.Object
- - de.tsenger.androsmex.mrtd.DG13

-     public class DG13
      extends java.lang.Object

  Class for DNIe v3.0 extended data encapsulation.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DG13(byte[] rawBytes)` Creates a new instance of DG13DataContainer

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getActualAddress()`
    `java.lang.String` | `getActualPopulation()`
    `java.lang.String` | `getActualProvince()`
    `java.lang.String` | `getBirthDate()`
    `java.lang.String` | `getBirthPopulation()`
    `java.lang.String` | `getBirthProvince()`
    `byte[]` | `getBytes()`
    `java.lang.String` | `getExpirationDate()`
    `java.lang.String` | `getFatherName()`
    `java.lang.String` | `getMotherName()`
    `java.lang.String` | `getName()`
    `java.lang.String` | `getPersonalNumber()`
    `java.lang.String` | `getSex()`
    `java.lang.String` | `getSurName1()`
    `java.lang.String` | `getSurName2()`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DG13

          public DG13(byte[] rawBytes)

      Creates a new instance of DG13DataContainer

  - ### Method Detail

    - #### getActualAddress

          public java.lang.String getActualAddress()

    - #### getActualPopulation

          public java.lang.String getActualPopulation()

    - #### getActualProvince

          public java.lang.String getActualProvince()

    - #### getBirthDate

          public java.lang.String getBirthDate()

    - #### getBirthPopulation

          public java.lang.String getBirthPopulation()

    - #### getBirthProvince

          public java.lang.String getBirthProvince()

    - #### getBytes

          public byte[] getBytes()

    - #### getExpirationDate

          public java.lang.String getExpirationDate()

    - #### getFatherName

          public java.lang.String getFatherName()

    - #### getMotherName

          public java.lang.String getMotherName()

    - #### getName

          public java.lang.String getName()

    - #### getPersonalNumber

          public java.lang.String getPersonalNumber()

    - #### getSex

          public java.lang.String getSex()

    - #### getSurName1

          public java.lang.String getSurName1()

    - #### getSurName2

          public java.lang.String getSurName2()